'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _makeTheme = require('./makeTheme');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var makeScopedTheme = function makeScopedTheme() {
  var userTheme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _defineProperty({}, scopeName, {});
  var scopeName = arguments[1];
  var override = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

  if (scopeName === undefined) return console.warn('You may have forgotten to set the scope name in the makeScopedTheme function.');
  var u = userTheme[scopeName] || {};
  var newTheme = _defineProperty({}, scopeName, {});
  var v = newTheme[scopeName];

  Object.keys(userTheme).forEach(function (variable) {
    v[variable] = u[variable] || userTheme[variable];
  });

  /**
  * If you wish to re-use a variable of bs but used with a different colour then the one used in the rest of the site,
  * you can keep the original variable as is and the new one with your own value.
  *
  * ex: '$font-size-h2' can be set in the scope as a new value
  *
  * {
  *     '$font-size-h2': 15px,
  *     scopeTheme: {
  *         '$font-size-h2': 30px,
  *     }
  * }
  *
  * or it can be overriden
  *
  * {
  *     '$font-size-h2': 30px,
  *     scopeTheme: {
  *         '$font-size-h2': 30px,
  *     }
  * }
  *
  **/

  var result = override ? _extends({}, newTheme, userTheme) : _extends({}, newTheme);
  return (0, _makeTheme.makeTheme)(_extends({}, result));
};

exports.default = makeScopedTheme;
module.exports = exports['default'];