'use strict';

var _makeTheme = require('../makeTheme');

var _makeScopedTheme = require('../makeScopedTheme');

var _makeScopedTheme2 = _interopRequireDefault(_makeScopedTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('makeScopedTheme', function () {
  it('should have makeScopedTheme defined', function () {
    expect(_makeScopedTheme2.default).toBeDefined();
  });
  it('should have makeScopedTheme with a scoped theme', function () {
    var result = (0, _makeTheme.makeTheme)({ scopeName: {} });
    expect((0, _makeScopedTheme2.default)({}, 'scopeName')).toEqual(result);
  });
  it('should have makeScopedTheme with a scoped theme name', function () {
    expect((0, _makeScopedTheme2.default)({})).toEqual(undefined);
  });
  it('should not override the original bootstrap variable', function () {
    var scopedTheme = (0, _makeScopedTheme2.default)({ '$brand-primary': 'pink' }, 'scopeName', false);
    expect(scopedTheme['$brand-primary']).not.toEqual(scopedTheme.scopeName['$brand-primary']);
  });
});